summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-26 14:50:02 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-26 14:50:02 +0000
commita8aa1c4bedbf1d6f98d06e1d9775468cac3730b0 (patch)
treee63d3e15d3bd580fec5d33cd93caf88c388bf2ca /jenkins
parent4ca12aee1531a03639f979b91ec82b9c4c88fa4e (diff)
onsuccess: #1545: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/
Results : | # reset_artifacts: | -10 | # true: | 0 | # build_abe gcc: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1347
-rw-r--r--jenkins/notify-init.log319
-rw-r--r--jenkins/run-build.env8
4 files changed, 217 insertions, 1459 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 2acf99b..e4431e1 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#1544-gcc-R1
+#1545-gcc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index ac299df..3c3615f 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,9 +9,9 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+# setup_notify_environment
+ setup_notify_environment
+ echo '# setup_notify_environment'
-# setup_notify_environment
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -26,22 +26,20 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1543/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1543/'
+# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/'
+# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/'
++ echo '# Using dir : artifacts'
# Using dir : artifacts
-+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
-+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
-+ set +x
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
@@ -77,7 +75,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x7c6615692e052e6bd08f46d9ed060fdbcd711c5c '!=' x07ee6d7b2c361437b877e37e096af71d53a6faef ']'
+++ '[' x87dfd70723385486645de3b8c93fa1e19143fa46 '!=' x7c6615692e052e6bd08f46d9ed060fdbcd711c5c ']'
++ echo -ne gcc
++ delim=' '
++ echo
@@ -90,17 +88,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ first_bad=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ first_bad=87dfd70723385486645de3b8c93fa1e19143fa46
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ last_good=07ee6d7b2c361437b877e37e096af71d53a6faef
++ last_good=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
+ local res
+ res=0
-+ wait 169190
++ wait 154043
+ git -C gcc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo gcc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +112,22 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=07ee6d7b2c361437b877e37e096af71d53a6faef
++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ git -C gcc rev-parse '7c6615692e052e6bd08f46d9ed060fdbcd711c5c^@'
++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
+++ git -C gcc rev-parse '87dfd70723385486645de3b8c93fa1e19143fa46^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 07ee6d7b2c361437b877e37e096af71d53a6faef = 07ee6d7b2c361437b877e37e096af71d53a6faef ']'
-+ return 0
-+ change_kind=single_commit
++ '[' f83cfb8148bcf0876df76761a9a4545bc939667d = 7c6615692e052e6bd08f46d9ed060fdbcd711c5c ']'
++ return 1
++ change_kind=single_component
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_commit : gcc
-+ echo '# change_kind=single_commit : gcc'
+# change_kind=single_component : gcc
++ echo '# change_kind=single_component : gcc'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -137,18 +135,18 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=07ee6d7b2c361437b877e37e096af71d53a6faef
++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ git -C gcc rev-list --count 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ c_commits=1
-# rev for gcc : 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c (1 commits)
-+ echo '# rev for gcc : 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c (1 commits)'
++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
+++ git -C gcc rev-list --count 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
++ c_commits=3
+# rev for gcc : 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46 (3 commits)
++ echo '# rev for gcc : 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46 (3 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -173,270 +171,11 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-+ echo '# post_interesting_commits'
# post_interesting_commits
++ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ break
-+ local fresh_clone=false
-+ true
-+ '[' -d interesting-commits ']'
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 169270
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ break
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=0ae935228
-++ '[' 0 -ne 0 ']'
-++ echo 0ae935228
-+ sha1=0ae935228
-+ git -C interesting-commits checkout --detach 0ae935228
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- fe3180a81 Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> fe3180a81
-
-HEAD is now at 0ae935228 Add entry 76243adc4699314c7569ba3c0610ecd187228291 from https://ci.linaro.org/job/tcwg_bmk-code_speed-cpu2017rate--llvm-arm-master-O3-build/120/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ subdir3=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c tcwg_gcc_build
-++ local dir=gcc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 3 -ge 3 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ '[' 3 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-+ subdir4=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c tcwg_gcc_build master-arm
-++ local dir=gcc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 4 -ge 3 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ '[' 4 -ge 4 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-+ subdir5=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-+ '[' -d interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c ']'
-+ mkdir -p interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url
-+ mkdir -p interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ echo https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts
-+ echo 07ee6d7b2c361437b877e37e096af71d53a6faef
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/build_url gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/'
-[detached HEAD d6bb9d428] Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
- 3 files changed, 3 insertions(+)
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/build_url
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/last_good
-+ wait 183617
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -455,645 +194,46 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No gcc in current git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ git -C gcc show --no-patch --pretty=%ct 07ee6d7b2c361437b877e37e096af71d53a6faef
-+ base_d=1703549950
+++ git -C gcc show --no-patch --pretty=%ct 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ base_d=1703564274
++ get_current_component_date gcc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ git -C gcc show --no-patch --pretty=%ct 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ cur_d=1703564274
-+ '[' x1703549950 '!=' x ']'
-+ '[' x1703564274 = x ']'
-+ '[' 1703564274 -lt 1703549950 ']'
-+ '[' x1703564274 = x ']'
-+ '[' 1703564274 -gt 0 ']'
-+ results_date=1703564274
-+ assert_with_msg 'Failed to produce results_date' '[' 1703564274 -gt 0 ']'
+++ git -C gcc show --no-patch --pretty=%ct 87dfd70723385486645de3b8c93fa1e19143fa46
++ cur_d=1703591647
++ '[' x1703564274 '!=' x ']'
++ '[' x1703591647 = x ']'
++ '[' 1703591647 -lt 1703564274 ']'
++ '[' x1703591647 = x ']'
++ '[' 1703591647 -gt 0 ']'
++ results_date=1703591647
++ assert_with_msg 'Failed to produce results_date' '[' 1703591647 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1703527292
-+ '[' 1703527292 '!=' '' ']'
-+ assert '[' 1703564274 -ge 1703527292 ']'
-+ set -euf -o pipefail +x
-+ '[' 1703564274 -gt 1703527292 ']'
-+ results_date=1703545783
-+ rr[results_date]=1703545783
++ base_d=1703545783
++ '[' 1703545783 '!=' '' ']'
++ '[' 1703591647 -gt 1703545783 ']'
++ results_date=1703568715
++ rr[results_date]=1703568715
+ cat
+ manifest_out
+ cat
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local isubdir
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ isubdir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url ']'
-+ local first_url
-++ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/ = https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/ ']'
-+ first_icommit_to_report=true
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ post_interesting_commits full
+ set -euf -o pipefail
-+ echo '# post_interesting_commits'
# post_interesting_commits
++ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ break
-+ local fresh_clone=false
-+ true
-+ '[' -d interesting-commits ']'
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 183719
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ break
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=0ae935228
-++ '[' 0 -ne 0 ']'
-++ echo 0ae935228
-+ sha1=0ae935228
-+ git -C interesting-commits checkout --detach 0ae935228
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- d6bb9d428 Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> d6bb9d428
-
-HEAD is now at 0ae935228 Add entry 76243adc4699314c7569ba3c0610ecd187228291 from https://ci.linaro.org/job/tcwg_bmk-code_speed-cpu2017rate--llvm-arm-master-O3-build/120/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-+ '[' full = full ']'
-+ false
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits full ''
-+ echo '# update_interesting_commits'
-+ local stage=full
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ subdir3=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c tcwg_gcc_build
-++ local dir=gcc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 3 -ge 3 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ '[' 3 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-+ subdir4=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c tcwg_gcc_build master-arm
-++ local dir=gcc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 4 -ge 3 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ '[' 4 -ge 4 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-+ subdir5=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-+ '[' -d interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c ']'
-+ mkdir -p interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url
-+ mkdir -p interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ echo https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts
-+ echo 07ee6d7b2c361437b877e37e096af71d53a6faef
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/build_url gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/last_good
-+ '[' full '!=' full ']'
-+ gnu_print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ case "$print_arg" in
-+ '[' 0 = 0 ']'
-+ echo Success
-+ return 0
-+ merge_status_summary interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh: line 1068: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status-summary.txt
-+ merge_status_summary interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh: line 1068: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status-summary.txt
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status-summary.txt gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status-summary.txt gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status-summary.txt
-+ gnu_print_result --long
-+ false
-+ local print_arg=--long
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --long
-+ false
-+ local print_arg=--long
-+ case "$print_arg" in
-+ echo 'Results changed to'
-++ cat artifacts/results
-+ echo '# reset_artifacts:
--10
-# true:
-0
-# build_abe gcc:
-1'
-+ echo ''
-+ echo From
-++ cat base-artifacts/results
-+ echo '# reset_artifacts:
--10
-# true:
-0
-# build_abe gcc:
-1'
-+ return 0
-+ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status-summary.txt
-+ sed 's/^/* /'
-+ print_icommits_link gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/details.txt
-+ set -euf -o pipefail
-+ local path=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/details.txt
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/details.txt
-+ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/build_url
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/details.txt gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status.txt
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/summary.txt ']'
-+ local bad_artifacts_url good_artifacts_url
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts
-++ get_baseline_manifest BUILD_URL
-++ get_manifest base-artifacts/manifest.sh BUILD_URL false
-++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1543/artifact/artifacts
-+ cat
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/reproduction_instructions.txt
-+ local ci_config
-+ read ci_config
-++ cd interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ ls
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/summary.txt ']'
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status.txt ']'
-+ echo '* master-arm'
-+ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status.txt
-+ sed 's/^/*/'
-+ read ci_config
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status-summary.txt/summary.txt ']'
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status.txt/summary.txt ']'
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status.txt
-+ local ci_project
-+ read ci_project
-++ cd interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ ls
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status.txt ']'
-+ echo '* tcwg_gcc_build'
-+ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status.txt
-+ sed 's/^/*/'
-+ read ci_project
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status.txt
-+ print_commits --short
-+ set -euf -o pipefail
-+ false
-+ local print_arg=--short
-+ '[' single_commit = no_change ']'
-+ local more_lines
-+ '[' single_commit = single_commit ']'
-+ local c=gcc
-+ '[' --short = --link ']'
-+ local describe
-+ '[' '' = '' ']'
-++ describe_sha1 gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c true
-++ local component=gcc
-++ local sha1=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local anything=true
-++ match=()
-++ local -a match
-++ case "$component" in
-++ match=(--match "basepoints/*" --match "releases/*")
-++ git -C gcc describe --match 'basepoints/*' --match 'releases/*' 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ describe=basepoints/gcc-14-6834-g7c6615692e0
-++ echo basepoints/gcc-14-6834-g7c6615692e0
-++ sed 's,^basepoints/,,'
-+ describe=gcc-14-6834-g7c6615692e0
-+ '[' --short = --oneline ']'
-+ '[' '' = '' ']'
-+ echo 'commit gcc-14-6834-g7c6615692e0'
-+ local tmpfile
-++ mktemp
-+ tmpfile=/tmp/tmp.k2PpCETmBv
-+ git -C gcc log -n1 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ tail -n +2
-+ head -n 10 /tmp/tmp.k2PpCETmBv
-++ cat /tmp/tmp.k2PpCETmBv
-++ wc -l
-+ more_lines=3
-+ '[' 3 -gt 0 ']'
-+ echo '... 3 lines of the commit log omitted.'
-+ rm /tmp/tmp.k2PpCETmBv
-+ '[' '' '!=' '' ']'
-+ return 0
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/commit-log.txt
-+ true
-+ local jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-+ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/key ']'
-+ '[' -e interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira ']'
-+ mkdir interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-+ '[' '' '!=' '' ']'
-++ print_commits --oneline
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=gcc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c true
-+++ local component=gcc
-+++ local sha1=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "basepoints/*" --match "releases/*")
-+++ git -C gcc describe --match 'basepoints/*' --match 'releases/*' 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ describe=basepoints/gcc-14-6834-g7c6615692e0
-+++ echo basepoints/gcc-14-6834-g7c6615692e0
-+++ sed 's,^basepoints/,,'
-++ describe=gcc-14-6834-g7c6615692e0
-++ '[' --oneline = --oneline ']'
-++ echo gcc-14-6834-g7c6615692e0
-++ return 0
-++ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status-summary.txt
-+ echo gcc-14-6834-g7c6615692e0: Success
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/summary
-+ cat
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=gcc
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git gcc_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No gcc_url in baseline git' '[' -f base-artifacts/git/gcc_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/gcc_url
-++ url=https://github.com/gcc-mirror/gcc.git
-++ [[ https://github.com/gcc-mirror/gcc.git =~ git://sourceware.org/git/ ]]
-++ [[ https://github.com/gcc-mirror/gcc.git =~ https://github.com/ ]]
-++ echo https://github.com/gcc-mirror/gcc/commit/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ return 0
-++ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/commit-log.txt
-++ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status.txt
-++ print_icommits_link gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/yaml
-++ set -euf -o pipefail
-++ local path=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/yaml
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/yaml
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/description
-+ update_jira_card
-+ set -euf -o pipefail
-+ echo '# update_jira_card'
-# update_jira_card
-+ local jira_dir
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-+ components=()
-+ local -a components
-+ case "$changed_single_component" in
-+ components+=(GCC)
-+ IFS=,
-+ echo GCC
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/components
-+ local commit_date
-++ git -C gcc log -n1 --pretty=%cd --date=iso 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ commit_date='2023-12-25 22:17:54 -0600'
-+ date -d '2023-12-25 22:17:54 -0600' +%Y-%m-%d
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/startdate
-+ local key project
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ local dir=gcc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-++ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/key'
-WARNING: no existing jira card interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/key
-+ return 0
-+ local describe
-++ describe_sha1 gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c false
-++ local component=gcc
-++ local sha1=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local anything=false
-++ match=()
-++ local -a match
-++ case "$component" in
-++ match=(--match "basepoints/*" --match "releases/*")
-++ git -C gcc describe --match 'basepoints/*' --match 'releases/*' 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ describe=basepoints/gcc-14-6834-g7c6615692e0
-+ '[' basepoints/gcc-14-6834-g7c6615692e0 '!=' '' ']'
-+ local d
-++ dirname basepoints/gcc-14-6834-g7c6615692e0
-+ d=basepoints
-+ mkdir -p interesting-commits/gcc/basepoints
-+ local symlink=
-+ '[' basepoints '!=' . ']'
-+ symlink=../
-++ dirname basepoints
-+ d=.
-+ '[' . '!=' . ']'
-+ symlink=../sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ rm -f interesting-commits/gcc/basepoints/gcc-14-6834-g7c6615692e0
-+ ln -s ../sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c interesting-commits/gcc/basepoints/gcc-14-6834-g7c6615692e0
-+ git -C interesting-commits add gcc/basepoints/gcc-14-6834-g7c6615692e0
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/'
-[detached HEAD f500414aa] Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
- 17 files changed, 85 insertions(+)
- create mode 120000 gcc/basepoints/gcc-14-6834-g7c6615692e0
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/commit-log.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/components
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/description
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/startdate
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/summary
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status-summary.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/build_url
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/details.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/last_good
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/reproduction_instructions.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status-summary.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/status.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status-summary.txt
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/status.txt
-+ wait 198390
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -1103,23 +243,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ local dir=gcc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ isubdir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ case "$print_arg" in
-++ echo interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ icommit_entry=interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ '[' interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c '!=' '' ']'
-+ '[' -d interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira ']'
-+ rsync -a interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/ artifacts/notify/jira/
-+ '[' -f artifacts/notify/jira/key ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
+++ return 0
++ icommit_entry=
++ '[' '' '!=' '' ']'
++ mkdir -p artifacts/notify/jira
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -1143,9 +271,9 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -1168,15 +296,19 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=07ee6d7b2c361437b877e37e096af71d53a6faef
++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
++ read -r email
+++ git -C gcc log --pretty=%ae 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
+ read -r email
-++ git -C gcc log --pretty=%ae 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -1187,15 +319,19 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=07ee6d7b2c361437b877e37e096af71d53a6faef
++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
++ read -r email
+++ git -C gcc log --pretty=%ce 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
+ read -r email
-++ git -C gcc log --pretty=%ce 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -1214,38 +350,57 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
++ type=cc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ for email in "${!emails[@]}"
+ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
+ IFS=,
-+ echo bcc:tcwg-validation@linaro.org,cc:gcc-regression@gcc.gnu.org,jeevitha@linux.ibm.com
++ echo bcc:tcwg-validation@linaro.org,cc:gcc-regression@gcc.gnu.org,cc:juzhe.zhong@rivai.ai,dizhao@os.amperecomputing.com,pan2.li@intel.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=gcc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c true
-+++ local component=gcc
-+++ local sha1=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "basepoints/*" --match "releases/*")
-+++ git -C gcc describe --match 'basepoints/*' --match 'releases/*' 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ describe=basepoints/gcc-14-6834-g7c6615692e0
-+++ echo basepoints/gcc-14-6834-g7c6615692e0
-+++ sed 's,^basepoints/,,'
-++ describe=gcc-14-6834-g7c6615692e0
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git gcc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/gcc_rev
+++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++++ get_current_git gcc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/gcc_rev
+++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
++++ git -C gcc rev-list --count 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
+++ c_commits=3
+++ new_commits=3
++++ echo gcc
++++ tr ' ' ,
+++ components=gcc
+++ echo '3 commits in gcc'
++ '[' --oneline = --oneline ']'
-++ echo gcc-14-6834-g7c6615692e0
++ return 0
++ gnu_print_result --oneline
++ false
@@ -1260,7 +415,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gcc_build master-arm
++ local project=tcwg_gcc_build
@@ -1283,48 +438,25 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' 'gcc-14-6834-g7c6615692e0: Success on arm'
++ echo '[Linaro-TCWG-CI]' '3 commits in gcc: Success on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1543/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts
+ local key=
-+ '[' single_commit = single_commit ']'
-+ '[' '' = '' ']'
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ local dir=gcc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-++ '[' -f interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-++ print_jira_template_card
-++ local jira_card=GNU-692
-++ case "$ci_project/$ci_config:$changed_single_component" in
-++ echo GNU-692
-+ key=GNU-692
-+ cat
-+ '[' GNU-692 '!=' '' ']'
++ '[' single_component = single_commit ']'
+ cat
++ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gcc_build master-arm
++ local project=tcwg_gcc_build
@@ -1347,41 +479,56 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=gcc
-++ '[' --short = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c true
-+++ local component=gcc
-+++ local sha1=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "basepoints/*" --match "releases/*")
-+++ git -C gcc describe --match 'basepoints/*' --match 'releases/*' 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ describe=basepoints/gcc-14-6834-g7c6615692e0
-+++ echo basepoints/gcc-14-6834-g7c6615692e0
-+++ sed 's,^basepoints/,,'
-++ describe=gcc-14-6834-g7c6615692e0
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git gcc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/gcc_rev
+++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++++ get_current_git gcc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/gcc_rev
+++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
++++ git -C gcc rev-list --count 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
+++ c_commits=3
+++ new_commits=3
++++ echo gcc
++++ tr ' ' ,
+++ components=gcc
+++ echo '3 commits in gcc'
++ '[' --short = --oneline ']'
-++ '[' '' = '' ']'
-++ echo 'commit gcc-14-6834-g7c6615692e0'
-++ local tmpfile
-+++ mktemp
-++ tmpfile=/tmp/tmp.BBZnpIQnTj
-++ git -C gcc log -n1 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ tail -n +2
-++ head -n 10 /tmp/tmp.BBZnpIQnTj
-+++ cat /tmp/tmp.BBZnpIQnTj
-+++ wc -l
-++ more_lines=3
-++ '[' 3 -gt 0 ']'
-++ echo '... 3 lines of the commit log omitted.'
-++ rm /tmp/tmp.BBZnpIQnTj
+++ for c in "${changed_components[@]}"
++++ get_baseline_git gcc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/gcc_rev
+++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++++ get_current_git gcc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/gcc_rev
+++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
++++ git -C gcc rev-list --count 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
+++ c_commits=3
+++ '[' '' '!=' '' ']'
+++ git -C gcc log -n 5 --oneline 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
+++ '[' 3 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -1412,7 +559,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gcc_build master-arm
++ local project=tcwg_gcc_build
@@ -1430,79 +577,17 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_gcc_build master-arm'
-+ '[' single_commit '!=' single_commit ']'
-+ '[' '' '!=' '' ']'
-+ cat
-++ print_last_icommit --reproduction_instructions_link tcwg_gcc_build master-arm
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--reproduction_instructions_link
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c tcwg_gcc_build master-arm
-+++ local dir=gcc/sha1
-+++ '[' 4 -ge 2 ']'
-+++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ '[' 4 -ge 3 ']'
-+++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-+++ '[' 4 -ge 4 ']'
-+++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-+++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ isubdir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ case "$print_arg" in
-++ print_icommits_link gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/reproduction_instructions.txt
-++ set -euf -o pipefail
-++ local path=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/reproduction_instructions.txt
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/reproduction_instructions.txt
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=gcc
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git gcc_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No gcc_url in baseline git' '[' -f base-artifacts/git/gcc_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/gcc_url
-++ url=https://github.com/gcc-mirror/gcc.git
-++ [[ https://github.com/gcc-mirror/gcc.git =~ git://sourceware.org/git/ ]]
-++ [[ https://github.com/gcc-mirror/gcc.git =~ https://github.com/ ]]
-++ echo https://github.com/gcc-mirror/gcc/commit/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ return 0
-++ print_last_icommit --status
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--status
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ local dir=gcc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ isubdir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ case "$print_arg" in
-++ cat interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/status.txt
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jenkins_html_files
-+ wait 198515
++ wait 154219
+ set -euf -o pipefail
# generate_jenkins_html_files
+... Skipping
+ echo '# generate_jenkins_html_files'
+ true
+ case "$ci_project" in
-... Skipping
+ echo '... Skipping'
+ return
+ generate_readme html
@@ -1672,38 +757,6 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ echo -n '<a href="./notify/jira/comment-template.txt">./notify/jira/comment-template.txt</a>'
+ echo '<li><a href="./notify/jira/comment-template.txt">./notify/jira/comment-template.txt</a>'
+ read -r cur_file
-++ print_readme_link html ./notify/jira/components
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./notify/jira/components
-++ case $text_type in
-++ echo -n '<a href="./notify/jira/components">./notify/jira/components</a>'
-+ echo '<li><a href="./notify/jira/components">./notify/jira/components</a>'
-+ read -r cur_file
-++ print_readme_link html ./notify/jira/description
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./notify/jira/description
-++ case $text_type in
-++ echo -n '<a href="./notify/jira/description">./notify/jira/description</a>'
-+ echo '<li><a href="./notify/jira/description">./notify/jira/description</a>'
-+ read -r cur_file
-++ print_readme_link html ./notify/jira/startdate
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./notify/jira/startdate
-++ case $text_type in
-++ echo -n '<a href="./notify/jira/startdate">./notify/jira/startdate</a>'
-+ echo '<li><a href="./notify/jira/startdate">./notify/jira/startdate</a>'
-+ read -r cur_file
-++ print_readme_link html ./notify/jira/summary
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./notify/jira/summary
-++ case $text_type in
-++ echo -n '<a href="./notify/jira/summary">./notify/jira/summary</a>'
-+ echo '<li><a href="./notify/jira/summary">./notify/jira/summary</a>'
-+ read -r cur_file
++ print_readme_link html ./notify/mail-body.txt
++ set -euf -o pipefail
++ local text_type=html
@@ -1913,38 +966,6 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ echo -n ./notify/jira/comment-template.txt
+ echo '- ./notify/jira/comment-template.txt'
+ read -r cur_file
-++ print_readme_link txt ./notify/jira/components
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./notify/jira/components
-++ case $text_type in
-++ echo -n ./notify/jira/components
-+ echo '- ./notify/jira/components'
-+ read -r cur_file
-++ print_readme_link txt ./notify/jira/description
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./notify/jira/description
-++ case $text_type in
-++ echo -n ./notify/jira/description
-+ echo '- ./notify/jira/description'
-+ read -r cur_file
-++ print_readme_link txt ./notify/jira/startdate
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./notify/jira/startdate
-++ case $text_type in
-++ echo -n ./notify/jira/startdate
-+ echo '- ./notify/jira/startdate'
-+ read -r cur_file
-++ print_readme_link txt ./notify/jira/summary
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./notify/jira/summary
-++ case $text_type in
-++ echo -n ./notify/jira/summary
-+ echo '- ./notify/jira/summary'
-+ read -r cur_file
++ print_readme_link txt ./notify/mail-body.txt
++ set -euf -o pipefail
++ local text_type=txt
@@ -1999,48 +1020,48 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ local text_type=txt
+ case $text_type in
# generate dashboard
-# generate_dashboard_squad
-... Skipping
-# post_dashboard_squad
-... Skipping
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
+# generate_dashboard_squad
+... Skipping
+ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ post_dashboard_squad
+# post_dashboard_squad
+... Skipping
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 198651
++ wait 154339
+ set -euf -o pipefail
+ local results_date
-# generate_lnt_report
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/lnt-utils.sh
++ declare is_first_lnt_entry
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1703545783
-++ date '+%Y-%m-%d %H:%M:%S' --date @1703545783
-+ results_date='2023-12-25 23:09:43'
++ results_date=1703568715
+++ date '+%Y-%m-%d %H:%M:%S' --date @1703568715
++ results_date='2023-12-26 05:31:55'
+ local jira_key=-
+ '[' -f artifacts/notify/jira/key ']'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/ tcwg_gcc_build master-arm '2023-12-25 23:09:43' - artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/ tcwg_gcc_build master-arm '2023-12-26 05:31:55' - artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/
+ local ci_project=tcwg_gcc_build
+ local ci_config=master-arm
-+ local 'results_date=2023-12-25 23:09:43'
++ local 'results_date=2023-12-26 05:31:55'
+ local jira_key=-
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
@@ -2056,13 +1077,13 @@ find: ‘artifacts/sumfiles’: No such file or directory
# release_testresults_files
+ echo '# release_testresults_files'
+ '[' -d artifacts/jenkins ']'
-... Done
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+... Done
+ echo '... Done'
+ post_to_jira
+ set -euf -o pipefail
-+ echo '# post_to_jira'
# post_to_jira
++ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index f828d2d..7259319 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -21,33 +21,31 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1543/
-# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1543/'
+# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/'
+ echo '# Using dir : base-artifacts'
+# Using dir : base-artifacts
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/'
+# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1545/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
-+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
-+ set +x
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -77,7 +75,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x7c6615692e052e6bd08f46d9ed060fdbcd711c5c '!=' x07ee6d7b2c361437b877e37e096af71d53a6faef ']'
+++ '[' x87dfd70723385486645de3b8c93fa1e19143fa46 '!=' x7c6615692e052e6bd08f46d9ed060fdbcd711c5c ']'
++ echo -ne gcc
++ delim=' '
++ echo
@@ -90,17 +88,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ first_bad=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ first_bad=87dfd70723385486645de3b8c93fa1e19143fa46
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ last_good=07ee6d7b2c361437b877e37e096af71d53a6faef
++ last_good=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
+ local res
+ res=0
-+ wait 154671
++ wait 153933
+ git -C gcc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo gcc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +112,22 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=07ee6d7b2c361437b877e37e096af71d53a6faef
++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ git -C gcc rev-parse '7c6615692e052e6bd08f46d9ed060fdbcd711c5c^@'
++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
+++ git -C gcc rev-parse '87dfd70723385486645de3b8c93fa1e19143fa46^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 07ee6d7b2c361437b877e37e096af71d53a6faef = 07ee6d7b2c361437b877e37e096af71d53a6faef ']'
-+ return 0
-+ change_kind=single_commit
++ '[' f83cfb8148bcf0876df76761a9a4545bc939667d = 7c6615692e052e6bd08f46d9ed060fdbcd711c5c ']'
++ return 1
++ change_kind=single_component
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_commit : gcc
-+ echo '# change_kind=single_commit : gcc'
+# change_kind=single_component : gcc
++ echo '# change_kind=single_component : gcc'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -137,18 +135,18 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=07ee6d7b2c361437b877e37e096af71d53a6faef
++ base_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ git -C gcc rev-list --count 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ c_commits=1
-# rev for gcc : 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c (1 commits)
++ cur_rev=87dfd70723385486645de3b8c93fa1e19143fa46
+++ git -C gcc rev-list --count 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46
++ c_commits=3
++ echo '# rev for gcc : 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46 (3 commits)'
+# rev for gcc : 7c6615692e052e6bd08f46d9ed060fdbcd711c5c..87dfd70723385486645de3b8c93fa1e19143fa46 (3 commits)
-+ echo '# rev for gcc : 07ee6d7b2c361437b877e37e096af71d53a6faef..7c6615692e052e6bd08f46d9ed060fdbcd711c5c (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -176,270 +174,9 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ break
-+ local fresh_clone=false
-+ true
-+ '[' -d interesting-commits ']'
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 154751
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ break
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=0ae935228
-++ '[' 0 -ne 0 ']'
-++ echo 0ae935228
-+ sha1=0ae935228
-+ git -C interesting-commits checkout --detach 0ae935228
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 30a6850da Add entry f0269df25af37097a06ae247a18c71e24aa32e3e from https://ci.linaro.org/job/tcwg_gcc_build--master-aarch64-build/1496/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 30a6850da
-
-HEAD is now at 0ae935228 Add entry 76243adc4699314c7569ba3c0610ecd187228291 from https://ci.linaro.org/job/tcwg_bmk-code_speed-cpu2017rate--llvm-arm-master-O3-build/120/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ jira_dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
- 3f16a758b..0ae935228 master -> baseline/master
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ local dir=gcc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ subdir3=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c tcwg_gcc_build
-++ local dir=gcc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 3 -ge 3 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ '[' 3 -ge 4 ']'
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-+ subdir4=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ interesting_subdir gcc 7c6615692e052e6bd08f46d9ed060fdbcd711c5c tcwg_gcc_build master-arm
-++ local dir=gcc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-++ '[' 4 -ge 3 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build
-++ '[' 4 -ge 4 ']'
-++ dir=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ echo gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-+ subdir5=gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-+ '[' -d interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c ']'
-+ mkdir -p interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url
-+ mkdir -p interesting-commits/gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ echo https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/artifact/artifacts
-+ echo 07ee6d7b2c361437b877e37e096af71d53a6faef
-+ git -C interesting-commits add gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/build_url gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/'
-[detached HEAD fe3180a81] Add entry 7c6615692e052e6bd08f46d9ed060fdbcd711c5c from https://ci.linaro.org/job/tcwg_gcc_build--master-arm-build/1544/
- 3 files changed, 3 insertions(+)
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/first_url
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/build_url
- create mode 100644 gcc/sha1/7c6615692e052e6bd08f46d9ed060fdbcd711c5c/tcwg_gcc_build/master-arm/last_good
-+ wait 169099
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' init '!=' full ']'
-Init stage ran successfully.
+ echo 'Init stage ran successfully.'
+Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 8a783ae..2eadf43 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,13 +1,13 @@
-build_name="#1544"
+build_name="#1545"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-05 )
+tcwg-jade-06 )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#1544-gcc"
+build_name="#1545-gcc"
branch_opt=(==rr\[gcc_git\]
https://github.com/gcc-mirror/gcc.git#master )
-build_name="#1544-gcc-R1"
+build_name="#1545-gcc-R1"